Package org.apache.tiles.velocity.template

# Class AddAttributeDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
org.apache.tiles.velocity.template.AddAttributeDirective

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class AddAttributeDirective extends org.apache.velocity.runtime.directive.Directive

Add an element to the surrounding list. Equivalent to 'putAttribute', but for list element.

Add an element to the surrounding list. This tag can only be used inside 'putListAttribute' or 'addListAttribute' tags. Value can come from a direct assignment (value="aValue")

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAttributeDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getType()`
  `boolean`
  `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddAttributeDirective

    public AddAttributeDirective()

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `org.apache.velocity.runtime.directive.Directive`

  - ### getType

    public int getType()
    Specified by:
      `getType` in class `org.apache.velocity.runtime.directive.Directive`

  - ### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node) throws IOException
    Specified by:
      `render` in class `org.apache.velocity.runtime.directive.Directive`
    Throws:
      `IOException`